Bug 1271987 - Monitor Reports View Diff link for Puppet file changes works only once then shows empty window
Monitor Reports View Diff link for Puppet file changes works only once then s...
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Reporting (Show other bugs)
6.1.2
Unspecified Unspecified
medium Severity medium (vote)
: GA
: --
Assigned To: satellite6-bugs
Marek Hulan
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-15 04:43 EDT by Eric Lavarde
Modified: 2017-09-14 15:23 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Diff window on first click with correct content (164.13 KB, image/png)
2015-10-15 04:43 EDT, Eric Lavarde
no flags Details
Empty diff window on 2nd click (106.30 KB, image/png)
2015-10-15 04:44 EDT, Eric Lavarde
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 2816 None None None 2017-08-23 09:37 EDT

  None (edit)
Description Eric Lavarde 2015-10-15 04:43:08 EDT
Created attachment 1083182 [details]
Diff window on first click with correct content

Description of problem:
If Puppet detects a difference in a file and reports it, there is a link in the Satellite Report GUI showing the difference detected "View Diff". Clicking on the link works once but then shows only an empty window.

Version-Release number of selected component (if applicable):
6.1.2

How reproducible:
Always

Steps to Reproduce:
1. Generate a difference in a file managed by Puppet
2. Wait a while until a report is generated
3. Open the report under Monitor -> Reports
4. There should be a "View Diff" link
5. Click on it
6. Close it
7. Click again on it

Actual results:
On the first click, the window appears with a proper Diff
On the 2nd click, the window appears but is completely empty

Expected results:
The click works each time.

Additional info:
- a forced refresh of the page makes the link functional again
- the diff window is not movable (just a side remark)
Comment 1 Eric Lavarde 2015-10-15 04:44 EDT
Created attachment 1083183 [details]
Empty diff window on 2nd click
Comment 3 Ondřej Pražák 2016-07-27 05:08:16 EDT
This seems to be fixed in 6.2, the diff modal showed changes in content even after clicking the 'View Diff' link repeatedly without refreshing the page. Can QE verify, if this is persistent in 6.2?

Note You need to log in before you can comment on or make changes to this bug.